<div style="margin-top: 15px" class="listViewTopMenuDiv noprint">

    <div class="listViewActionsDiv row-fluid">
        <form name="myForm" ng-submit="vm.apply()" novalidate>
            <table class="table table-bordered blockContainer showInlineTable equalSplit">
                <thead>
                    <tr>
                        <th colspan="8">
                            <a class="btn btn-link" href="javascript:void(0)" ng-click="vm.hideForm=!vm.hideForm">
                                <span
                                    class="glyphicon glyphicon-{{vm.hideForm ? 'expand' : 'collapse-down'}}"></span>&nbsp;Parametri
                                Ricerca</a>
                        </th>
                    </tr>
                </thead>
                <tbody ng-hide="ctrl.hideForm">
                    <tr>
                        <td class="fieldLabel medium" ng-if="!vm.hideClientSelect"><label
                                class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="!vm.selectedClient">*</span>CLIENTE
                            </label></td>
                        <td class="fieldValue medium" ng-if="!vm.hideClientSelect">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div ngf-select="">

                                    </div>
                                    <select name="selectedClient" ng-model="vm.selectedClient"
                                        ng-options="item.companyName for item in vm.anagClientData[0] track by item.idAnagClient"
                                        ng-change="vm.onItemSelectClient(vm.selectedClient)" required>
                                    </select>
                                </span>
                            </div>
                        </td>

                        <td class="fieldLabel medium">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>DSP</label>
                        </td>
                        <td class="fieldValue medium">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <div ng-dropdown-multiselect=""
                                            options="vm.dspsUtilizationsCommercialOffersCountries.dsp"
                                            selected-model="vm.selectedDspModel" checkboxes="false"
                                            events="vm.events.dsp" extra-settings="vm.dspSettings"></div>
                                    </div>
                                </span>
                            </div>
                        </td>

                        <td class="fieldLabel medium">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>TERRITORIO</label>
                        </td>
                        <td class="fieldValue medium">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <div ng-dropdown-multiselect=""
                                            options="vm.dspsUtilizationsCommercialOffersCountries.countries"
                                            selected-model="vm.selectedCountryModel" checkboxes="false"
                                            extra-settings="vm.countrySettings"></div>
                                    </div>
                                </span>
                            </div>
                        </td>

                        <td class="fieldLabel medium">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>TIPO DI
                                UTILIZZO</label>
                        </td>
                        <td class="fieldValue medium">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <div ng-dropdown-multiselect=""
                                            options="vm.dspsUtilizationsCommercialOffersCountries.utilizations"
                                            selected-model="vm.selectedUtilizationModel"
                                            events="vm.events.utilizationType" checkboxes="false"
                                            extra-settings="vm.utilizationSettings"></div>
                                    </div>
                                </span>
                            </div>
                        </td>

                        <td class="fieldLabel medium" ng-if="vm.hideClientSelect">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>OFFERTA
                                COMMERCIALE</label>
                        </td>
                        <td class="fieldValue medium" ng-if="vm.hideClientSelect">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <div ng-dropdown-multiselect=""
                                            options="vm.dspsUtilizationsCommercialOffersCountries.commercialOffers"
                                            selected-model="vm.selectedOfferModel" checkboxes="false"
                                            extra-settings="vm.commercialOfferSettings"></div>
                                    </div>
                                </span>
                            </div>
                        </td>
                        <!-- <td>
                        <div ng-controller="DatepickerPopupCtrl">
                            <pre>Selected date is: <em>{{dt | date:'fullDate' }}</em></pre>
    
                            <h4>Popup</h4>
                            <div class="row">
    
    
                                <div class="col-md-4">
                                    <p class="input-group">
                                        <input type="text" class="form-control" uib-datepicker-popup ng-model="vm.dt" is-open="popup2.opened" datepicker-options="dateOptions" ng-required="true" close-text="Close" />
                                        <span class="input-group-btn">
                                            <button type="button" class="btn btn-default" ng-click="open2()"><i class="glyphicon glyphicon-calendar"></i></button>
                                        </span>
                                    </p>
                                </div>
                            </div>
                            <hr />
                        </div>
    
                    </td> -->

                    </tr>
                    <tr>
                        <td class="fieldLabel medium" ng-if="!vm.hideClientSelect">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>OFFERTA
                                COMMERCIALE</label>
                        </td>
                        <td class="fieldValue medium" ng-if="!vm.hideClientSelect">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <div ng-dropdown-multiselect=""
                                            options="vm.dspsUtilizationsCommercialOffersCountries.commercialOffers"
                                            selected-model="vm.selectedOfferModel" checkboxes="false"
                                            extra-settings="vm.commercialOfferSettings"></div>
                                    </div>
                                </span>
                            </div>
                        </td>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px">
                                <span class="redColor" ng-show="myForm.process.$invalid">*</span>INIZIO
                                PERIODO DI VALIDITA'</label>
                        </td>
                        <td class="fieldLabel medium" nowrap>
                            <input type="text" class="span9 input-small datepickerFrom" style="width: 180px"
                                ng-model="vm.selectedPeriodFrom">
                            <script type="text/javascript">
                                $(".datepickerFrom").datepicker({
                                    format: 'mm-yyyy',
                                    language: 'it',
                                    viewMode: "months",
                                    minViewMode: "months",
                                    autoclose: true,
                                    todayHighlight: true
                                });
                            </script>
                            <span class="glyphicon glyphicon-erase" style="margin-top: 6px;"
                                ng-click="vm.selectedPeriodFrom=undefined;"></span>
                        </td>

                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px">
                                <span class="redColor" ng-show="myForm.process.$invalid">*</span>FINE
                                PERIODO DI VALIDITA'</label>
                        </td>
                        <td class="fieldLabel medium">
                            <input type="text" class="span9 input-small datepickerTo" style="width: 180px"
                                ng-model="vm.selectedPeriodTo">
                            <script type="text/javascript">
                                $(".datepickerTo").datepicker({
                                    format: 'mm-yyyy',
                                    language: 'it',
                                    viewMode: "months",
                                    minViewMode: "months",
                                    autoclose: true,
                                    todayHighlight: true
                                });
                            </script>
                            <span class="glyphicon glyphicon-erase" style="margin-top: 6px;"
                                ng-click="vm.selectedPeriodTo=undefined;"></span>

                        </td>

                        <td class="fieldLabel medium" ng-if="!vm.hideBackClaimSelect"><label
                                class="muted pull-right marginRight10px">
                                BACK CLAIM </label></td>
                        <td ng-if="!vm.hideBackClaimSelect">
                            <select name="backclaim" id="backclaim" ng-model="vm.backclaim">
                                <option ng-value="-1">Tutti</option>
                                <option ng-value="1">Tipo A "NI"</option>
                                <option ng-value="2">Tipo B "NI + claim 0"</option>
                                <option ng-value="3">Tipo C1 "Originale Non fatturabile"</option>
                                <option ng-value="4">Tipo C2 "Originale Delta"</option>
                            </select>
                        </td>

                        <td class="fieldLabel medium" data-ng-show="vm.showDeliverCcidStatuses"><label
                                class="muted pull-right marginRight10px">
                                STATO </label></td>
                        <td data-ng-show="vm.showDeliverCcidStatuses">
                            <select name="deliverCcidStatuses" id="deliverCcidStatuses"
                                data-ng-model="vm.selectedDeliverCcidStatus">
                                <option data-ng-value="-1">Tutti</option>
                                <option data-ng-value="1">Scaricato</option>
                                <option data-ng-value="2">Confermato</option>
                                <option data-ng-value="3">Consegnato</option>
                            </select>
                        </td>

                        <td class="fieldLabel medium" ng-show="vm.showFlagRipartito"><label
                                class="muted pull-right marginRight10px">
                                FLAG RIPARTITO
                            </label></td>
                        <td class="fieldLabel medium" nowrap style="background-color: white"
                            ng-show="vm.showFlagRipartito">
                            <input type="checkbox" ng-model="vm.flagRipartito" style="margin-left: 10px">
                        </td>
                        <td class="fieldLabel medium" ng-show="vm.showInvoiceCode"><label
                                class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.selectedInvoiceNumber.$invalid">*</span>NUMERO
                                FATTURA
                            </label></td>
                        <td class="fieldValue medium" ng-show="vm.showInvoiceCode">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <input class="input-medium  ng-pristine ng-valid ng-empty ng-touched"
                                            name="selectedInvoiceNumber" type="text" min="2" ng-model="vm.invoiceCode">
                                    </div>
                                </span>
                            </div>
                        </td>

                        <td class="fieldLabel medium" ng-show="vm.showDsrProcessingStatuses">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>STATO</label>
                        </td>
                        <td class="fieldValue medium" ng-show="vm.showDsrProcessingStatuses">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <div ng-dropdown-multiselect="" options="vm.dsrProcessingStatuses"
                                            selected-model="vm.selectedProcessingStatuses" checkboxes="false"
                                            extra-settings="vm.processingStatusesSettings"></div>
                                    </div>
                                </span>
                            </div>
                        </td>
                        <td class="fieldLabel medium" ng-show="vm.showIdDsr">
                            <label class="muted pull-right marginRight10px"> <span class="redColor"
                                    ng-show="myForm.process.$invalid">*</span>ID DSR</label>
                        </td>
                        <td class="fieldValue medium" ng-show="vm.showIdDsr">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <input type="text" ng-model="vm.idDsr"></input>
                                    </div>
                                </span>
                            </div>
                        </td>
                        <!--   <td class="fieldValue medium">
    
                           <div class="input-group">
                           <span class="span10">
                                <select name="monthTo" id="monthTo" ng-model="vm.selectedMonthTo" ng-options="item.name for item in ctrl.months track by item.id" required></select>
                           </span>
                               <span class="span10">
                                <select ng-model="vm.yearTo"	ng-options="n for n in [] | year_range:1900:2017" required></select>
                           </span>
                           </div>
    
    
                       </td> -->

                        <td class="fieldLabel medium" nowrap colspan="4">

                        </td>
                    </tr>

                    <tr ng-show="vm.showZipName">
                        <td class="fieldLabel small" nowrap>
                            <label class="muted pull-right marginRight10px">Zip Name</label>
                        </td>
                        <td class="fieldValue large">
                            <div class="row-fluid" style="max-width: 450px;">
                                <input class="input-large" type="text" ng-model="vm.zipName">
                            </div>
                        </td>
                        <td class="fieldLabel small" nowrap></td>
                        <td class="fieldValue large"></td>
                        <td class="fieldLabel small" nowrap></td>
                        <td class="fieldValue large"></td>
                        <td class="fieldLabel small" nowrap></td>
                        <td class="fieldValue large"></td>
                    </tr>
                    <tr>
                        <td class="fieldLabel medium" style="text-align:right" nowrap colspan="8">
                            <button ng-disabled="myForm.$invalid" type="submit" class="btn addButton">
                                <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Applica</strong>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </div>
</div>